Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

 

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
harwichfox Posted on 20/03/2017 21:26
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message
 
Been diagnosed with it, they've given me the options of radiotherapy or surgery anyone experienced it, not sure what to have?
IP: Logged
scoops Posted on 20/03/2017 21:30
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
So sorry to hear that

My mate went for full surgery as his was quite advanced

He's made a full recovery and is now 5 years clear.

Hope it all works out well for you
IP: Logged
mickyhoss Posted on 20/03/2017 21:36
Prostate cancer
Edited On: 20/03/2017 21:38
Report Message | Email Message To A Friend | Reply To Message 

 
Yes, my mate Geoff Davies. Saw him at Bilston in February and looked good. I don't quite know what the procedure was but it involved visiting a hospital on the Wirral 4 times a week for a 5-week course.
IP: Logged
SohoFox Posted on 20/03/2017 21:36
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Thinking of you, Harwich.
Good luck. Rather than ask on here best to listen to the team you will have had assigned to you like the Oncologist and the Surgeon and your allocated nurse.
IP: Logged
LincsFox Posted on 20/03/2017 21:43
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
depends on you severity.

Full surgery and you're never getting it up again, I've had 2 mates diagnosed, 1 went for surgery, 1 went for radiotherapy, both have been clear 2 and 4 years respectively.

The problem with Sohoho's advice is that you will struggle to find anyone willing to tell you what to do, through fear of being sued if it goes wrong.

Good luck with whatever treatment you decide.
IP: Logged
jase36 Posted on 20/03/2017 21:44
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
So sorry to hear that Harwich, best wishes.
IP: Logged
blarmy Posted on 20/03/2017 21:46
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
My dad has had this for the last 6 or 7 years.
He has what he calls ,his grain of rice , sort of stapled into his stomach every month. Keeps the cancer in check. Some people I know in the same situation been doing this for over 10 years
IP: Logged
miles2lcfc Posted on 20/03/2017 21:59
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry to hear your news harwich. It's close to my heart this one as my dad has just been through the op. He weighed up the options between the op and radiotherapy and went for the op. Reason being I believe the op is more difficult post therapy so thought get rid and if he needs it blasting he could afterwards. It's very treatable and like all cancer early detection is paramount. His PSA levels are still rising so he went for a CT scan yesterday, although the prostate and 26 lymph nodes were clear. I'd push for a full CT scan if I was you. Like others say on hear listen to the medical advice as they'll be very experienced in dealing with it.
IP: Logged
hackneyfox Posted on 20/03/2017 22:00
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Thoughts are with you Harwich.
IP: Logged
channys6thswan Posted on 20/03/2017 22:16
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Here too, Harwich. Good luck.
IP: Logged
wints Posted on 20/03/2017 22:20
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Best of luck Harwich, whichever you choose.
IP: Logged
harwichfox Posted on 20/03/2017 22:21
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks I'm getting advice from prostate cancer uk a great charity and from the hospital its what they say is stage 1, T1C so I'm told it can be fixed but the op is a bit drastic it makes you impotant as lincs said although they say there's ways to treat it, difficult to decide.
IP: Logged
SohoFox Posted on 20/03/2017 22:27
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
From the little I know about it Harwich that Stage 1 is very early stage and it sounds like they have identified it very early.
Which is all good news.
IP: Logged
MoanyVolpone Posted on 20/03/2017 22:29
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Whatever you opt for, the wonderful people who work for the NHS will do their level best for you. Chin up, matey.
IP: Logged
sydrock Posted on 20/03/2017 22:32
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Harwich, my mate started a five week course of radiotherapy last week and they gave him a full scan a couple of weeks before, and marked three places almost like a tattoo where they will zap you, the success rate is very good, so what ever you opt for, good luck and love.

IP: Logged
oldhamfox Posted on 20/03/2017 22:44
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Good luck Harwich. [^][^]
IP: Logged
kpbw Posted on 20/03/2017 22:44
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Very sorry to hear that harwich. With the combined help of the experts from the NHS and the charity(who can put you in touch with others who have been through the experience) I'm sure you'll get the best of advice, treatment and support. All the best mate.
IP: Logged
shanetko Posted on 20/03/2017 22:49
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry to hear that Harwich. Hopefully you get the help you need to fight this off.
IP: Logged
megafox Posted on 20/03/2017 22:57
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry to hear that, Harwich, and good luck whichever option you take. I know several men locally who've been through it and every single one has recovered from it.
IP: Logged
Filbo65 Posted on 20/03/2017 23:10
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Thoughts are with you, Harwich. AllI can add is;
You should research / ask questions of your experts re the following info as I have only heard it in relation to healthcare work in the States, and haven't verified it myself.
But I was told that surgery is very intricate as various things wrap around each other in that area of the body.
As a result, there can be high incidence of single or double incontinence to be added to impotence amongst the side effects of surgery.
IP: Logged
harwichfox Posted on 21/03/2017 00:53
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks. I blame Pearson [:D]
IP: Logged
borebage53 Posted on 21/03/2017 04:00
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry to your news,Harwich. Myself and the Lad will be thinking of you and wishing you all the best and that whichever treatment you choose will be successful.
IP: Logged
stokiefox Posted on 21/03/2017 05:18
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Harwich..all the best

We have the best Health service in the world you are in good hands

[smi][^]
IP: Logged
Filbert_Tyler Posted on 21/03/2017 06:08
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Chin up mate, stay strong, we're all behind you.
IP: Logged
essingtonblue Posted on 21/03/2017 06:41
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Echo all of the above harwich, best of luck with what you end up deciding.
IP: Logged
LeicesterRino Posted on 21/03/2017 06:49
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry to hear your news, it must be very tough for you and those close to you.
I know a guy who had the op and made a full recovery.

I've had chemotherapy and it's hard work and the side effects are long lasting but no experience of radiotherapy.
IP: Logged
northleicsblue Posted on 21/03/2017 06:55
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Rotten news.
Stay strong but don't beat yourself up if you can't always.
IP: Logged
glosfox Posted on 21/03/2017 07:36
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry to hear this harwich.

Hope all goes well whatever you choose.
IP: Logged
filbertfoxy00 Posted on 21/03/2017 07:41
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
All the best Harwich.
IP: Logged
FoxinRutland Posted on 21/03/2017 07:54
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Stay stronger than anything that may be ahead of you. All the best Harwich.
IP: Logged
lestagirl Posted on 21/03/2017 08:32
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
So sorry to hear this Harwich... good luck whatever you chose, as many have said, I also know someone who had radiotherapy and it worked but also there are side effects. Be strong!
IP: Logged
StalybridgeFox Posted on 21/03/2017 08:48
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Good luck Harwich! Out of interest what were your side effects that made you get a check up?
IP: Logged
whitwickfox Posted on 21/03/2017 09:37
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry to hear that. Thoughts and best wishes with you.
IP: Logged
kendalfox Posted on 21/03/2017 10:35
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry to hear this, have had an enlarged prostate for a few years, in just over a week I'm off to see the oncologist myself
IP: Logged
Hertsseasider Posted on 21/03/2017 10:38
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Very best wishes Harwich. Your post has prompted me to have a long overdue check up.
IP: Logged
custardboy Posted on 21/03/2017 17:32
Prostate cancer
Edited On: 21/03/2017 17:42
Report Message | Email Message To A Friend | Reply To Message 

 
Like miles said - this is also close to my heart,my father in law has prostate cancer and he went for the full op.
Took a few days to weigh up both options,took advice from doctors and nurses - but ultimately it's up to you and your family.
Had a fantastic surgeon who did the operation using a robot - which apparently is state of the art - my father in law was 67 at the time and told you have to be fit to undertake that type of op.
As they normally don't do it over the age of 65.

After the op which was successful it left him with nerve damage but after using a bag initially - now urinates normally.
His attitude was "well I can't get an erection when I'm dead can I" so was a no brainer for him.
His PSA is currently 0.9 - so now he's back at the end of May.

Prostate Uk are superb and we've helped raise lots of money for them - and continue to do so.

As has been said on here,there is plenty of support.
Hope all goes well [^]
Edited to add
If you go for the radiotherapy option it will blast away some of the prostate,but if found not to be successful afterwards there will not be enough left for the operation to be an option - apparently.
IP: Logged
allblu Posted on 21/03/2017 19:53
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Sorry to hear your news. I have been on PSA watch for over 10 years now but have also had oesophagal cancer which I have recovered from. The best info I can offer is to remember that its not the medics doing things to you....you and yours and the medics are a joint team and you will fix it working together.
IP: Logged
billsballbag Posted on 21/03/2017 21:26
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Good luck Harwich
IP: Logged
renard Posted on 21/03/2017 23:01
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Very sorry to read this. Wishing you all the very best x
IP: Logged
harwichfox Posted on 21/03/2017 23:34
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks again to everyone, I still blame Pearson [;)]
IP: Logged
snootyfox Posted on 26/04/2017 09:46
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Hi Mr Harwich, any update on your progress young man, or would you prefer not to broadcast on here?
IP: Logged
kendalfox Posted on 26/04/2017 12:42
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
I got lucky with my scan have bladder stones which cause blood in the urine and am on the waiting list

My wife has just finished a 3 week course of Radiotherapy at the royalwhich leaves you quite sore afterwards and makes you tired but she seemed to have coped very well under the circumstances
Good luck in whichever you choose
IP: Logged
Oadlad Posted on 26/04/2017 13:20
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Good luck from someone who was declared cancer free but needed treatment for an enlarged prostate.
I was offered a choice of surgery or a course of tablets for twelve months with a catheter bag. I chose the latter which failed and was then operated on which was no trouble at all.
It was the day Obama was elected, eight years plus ago?
IP: Logged
Ketterfox Posted on 26/04/2017 13:44
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
I survived cancer. You will to.
The NHS will sort you out[^][^][^]
IP: Logged
harwichfox Posted on 26/04/2017 17:34
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Started homone therapy Snooty, then it's 4 weeks of radiotherapy , haven't started doing a Grayson Perry yet but fingers crossed seem to be OK so far and once against thanks to all of you for your support.
IP: Logged
harwichfox Posted on 26/04/2017 17:36
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Started homone therapy Snooty, then it's 4 weeks of radiotherapy , haven't started doing a Grayson Perry yet but fingers crossed seem to be OK so far and once against thanks to all of you for your support.
IP: Logged
wearthefoxhat Posted on 26/04/2017 17:40
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
How do you make a hormone Harwich?

Don't pay her!

Good luck mate[^]
IP: Logged
ericsteel Posted on 26/04/2017 18:23
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Best wishes to you for a speedy and full recovery.
IP: Logged
snootyfox Posted on 26/04/2017 18:31
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks Harwich. Was just wondering what may lie ahead. All the best with the treatment
IP: Logged
MoanyVolpone Posted on 26/04/2017 18:35
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
As the sole member of the Harwich Leicester City Supporters Club it's your solemn duty to get that cancer fcked right off!

Do it. Please?
IP: Logged
sydrock Posted on 26/04/2017 19:39
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
H, my mate who I told you about has had his four weeks treatment, and he tells me he feels pretty good, he also tells me his waterworks will take about two to three weeks to settle after treatment, but no doubt your doctor will give you this later gen.
Good luck mate.
IP: Logged
longstopper Posted on 26/04/2017 20:28
Prostate cancer

Report Message | Email Message To A Friend | Reply To Message 

 
Good luck Harwich, I hope all goes well for you mate.
IP: Logged
WhitburnFox Posted on 28/04/2017 08:51
Prostate cancer
Edited On: 28/04/2017 08:53
Report Message | Email Message To A Friend | Reply To Message 

 
A friend of mine was diagnosed late last year & is about to undergo 7 weeks of RT, too. His consultant is very positive it'll be successful...as I'm sure yours will be, Harwich. Take good care of yourself, mate - your immune system takes a battering, so watch what you're doing. Good luck & very best wishes.
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2017 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213